<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="it">
<head>
<!-- Generated by javadoc (1.8.0_181) on Sat Nov 10 15:43:02 CET 2018 -->
<title>G-Index</title>
<meta name="date" content="2018-11-10">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="G-Index";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-6.html">Prev Letter</a></li>
<li><a href="index-8.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-7.html" target="_top">Frames</a></li>
<li><a href="index-7.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">K</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">N</a>&nbsp;<a href="index-12.html">Q</a>&nbsp;<a href="index-13.html">R</a>&nbsp;<a href="index-14.html">S</a>&nbsp;<a href="index-15.html">T</a>&nbsp;<a name="I:G">
<!--   -->
</a>
<h2 class="title">G</h2>
<dl>
<dt><span class="memberNameLink"><a href="../tests/ElasticClientTest.html#getClientRequest--">getClientRequest()</a></span> - Method in class tests.<a href="../tests/ElasticClientTest.html" title="class in tests">ElasticClientTest</a></dt>
<dd>
<div class="block">Retrieve the ClientRequest object associated to the request_file provided to constructor</div>
</dd>
<dt><span class="memberNameLink"><a href="../elasticclient/ElasticClientResponse.html#getDocRequestResponse--">getDocRequestResponse()</a></span> - Method in class elasticclient.<a href="../elasticclient/ElasticClientResponse.html" title="class in elasticclient">ElasticClientResponse</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../elasticclient/ElasticClient.html#getElasticsearchQuery--">getElasticsearchQuery()</a></span> - Method in class elasticclient.<a href="../elasticclient/ElasticClient.html" title="class in elasticclient">ElasticClient</a></dt>
<dd>
<div class="block">Returns a string representing the ES query associated to search field in the last request file set via this.setRequestFile</div>
</dd>
<dt><span class="memberNameLink"><a href="../queries/Sort.html#getKey--">getKey()</a></span> - Method in class queries.<a href="../queries/Sort.html" title="class in queries">Sort</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../aggregations/bucketaggs/AggsBucketOrder.html#getOrder--">getOrder()</a></span> - Method in class aggregations.bucketaggs.<a href="../aggregations/bucketaggs/AggsBucketOrder.html" title="class in aggregations.bucketaggs">AggsBucketOrder</a></dt>
<dd>
<div class="block">Builds a bucket order object with the key and order fields specified in this object</div>
</dd>
<dt><span class="memberNameLink"><a href="../queries/Sort.html#getOrder--">getOrder()</a></span> - Method in class queries.<a href="../queries/Sort.html" title="class in queries">Sort</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../elasticclient/ClientRequest.html#getQuery--">getQuery()</a></span> - Method in class elasticclient.<a href="../elasticclient/ClientRequest.html" title="class in elasticclient">ClientRequest</a></dt>
<dd>
<div class="block">Returns an ES SearchRequest object representing the provided query, if no query is specified it returns null.</div>
</dd>
<dt><span class="memberNameLink"><a href="../docrequests/DocCreateRequest.html#getRequest--">getRequest()</a></span> - Method in class docrequests.<a href="../docrequests/DocCreateRequest.html" title="class in docrequests">DocCreateRequest</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../docrequests/DocDeleteRequest.html#getRequest--">getRequest()</a></span> - Method in class docrequests.<a href="../docrequests/DocDeleteRequest.html" title="class in docrequests">DocDeleteRequest</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../docrequests/DocUpdateRequest.html#getRequest--">getRequest()</a></span> - Method in class docrequests.<a href="../docrequests/DocUpdateRequest.html" title="class in docrequests">DocUpdateRequest</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../docrequests/Request.html#getRequest--">getRequest()</a></span> - Method in interface docrequests.<a href="../docrequests/Request.html" title="interface in docrequests">Request</a></dt>
<dd>
<div class="block">Returns an ES Java object representing the request built by this.setRequest()</div>
</dd>
<dt><span class="memberNameLink"><a href="../elasticclient/ClientRequest.html#getRequests--">getRequests()</a></span> - Method in class elasticclient.<a href="../elasticclient/ClientRequest.html" title="class in elasticclient">ClientRequest</a></dt>
<dd>
<div class="block">Builds and returns an ES bulk request with the provided requests list.</div>
</dd>
<dt><span class="memberNameLink"><a href="../elasticclient/ElasticClientResponse.html#getSearchResponse--">getSearchResponse()</a></span> - Method in class elasticclient.<a href="../elasticclient/ElasticClientResponse.html" title="class in elasticclient">ElasticClientResponse</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../queries/Sort.html#getSort--">getSort()</a></span> - Method in class queries.<a href="../queries/Sort.html" title="class in queries">Sort</a></dt>
<dd>
<div class="block">Builds the ES sort object with the provided fields and returns it.</div>
</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">K</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">N</a>&nbsp;<a href="index-12.html">Q</a>&nbsp;<a href="index-13.html">R</a>&nbsp;<a href="index-14.html">S</a>&nbsp;<a href="index-15.html">T</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-6.html">Prev Letter</a></li>
<li><a href="index-8.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-7.html" target="_top">Frames</a></li>
<li><a href="index-7.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
